#!/usr/bin/python

import httplib
import urllib
import json

class Client(object):

    def __init__(self, api_key, username, name):
        self.api_key = api_key
        self.username = username
        self.name = name

    def update(self, value):
        result = False
        conn = httplib.HTTPConnection("rrd-service.org")
        params = urllib.urlencode({'api_key': self.api_key, 'username': self.username, 'name': self.name, 'value': value})
        path = "/update" + "?" + params
#        print path
        conn.request("GET", path)
        res = conn.getresponse()
#        print res.status, res.reason
        if res.status == 200:
            data = res.read()
            res_json = json.loads(data)
            if 'code' in res_json:
                result = res_json.get('code') == 0
        return result
